Overview | Package | Class | Tree | Deprecated | Index | Help
| Kodo 4.1.0 generated on October 9 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.jdbc.sql
Class OracleAdvancedSQL

    java.lang.Object
      kodo.jdbc.sql.AdvancedSQL
          kodo.jdbc.sql.OracleAdvancedSQL

All Implemented Interfaces:
  org.apache.openjpa.lib.conf.Configurable

    public class OracleAdvancedSQL

extends AdvancedSQL

Oracle-specific advanced SQL behavior.

Field Summary

Fields inherited from class kodo.jdbc.sql.AdvancedSQL
`conf, dict`

Constructor Summary
`OracleAdvancedSQL()`

Method Summary
`boolean` | `canBatch(org.apache.openjpa.jdbc.schema.Column col)` Returns type if the specified column can be included in batch statements.
`int` | `getBatchLimit()` Maximum number of batched statements, or -1 for no limit.
`boolean` | `getSupportsTotalCountsForBatch()` Whether the driver returns a total update count for batched statements.
`boolean` | `getSupportsUpdateCountsForBatch()` Whether the driver returns individual update counts for batched updates.

Methods inherited from class kodo.jdbc.sql.AdvancedSQL
`endConfiguration, getBatchParameterLimit, getSupportsUnion, getSupportsUnionWithUnalignedOrdering, setBatchLimit, setBatchParameterLimit, setConfiguration, setSupportsTotalCountsForBatch, setSupportsUnion, setSupportsUnionWithUnalignedOrdering, setSupportsUpdateCountsForBatch, startConfiguration, toSelect, toSelectCount`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OracleAdvancedSQL

    public OracleAdvancedSQL()

Method Detail

### getBatchLimit

    public int getBatchLimit()

  Description copied from class: `AdvancedSQL`
  Maximum number of batched statements, or -1 for no limit.

  Overrides:
    `getBatchLimit` in class `AdvancedSQL`

### getSupportsUpdateCountsForBatch

    public boolean getSupportsUpdateCountsForBatch()

  Description copied from class: `AdvancedSQL`
  Whether the driver returns individual update counts for batched updates.

  Overrides:
    `getSupportsUpdateCountsForBatch` in class `AdvancedSQL`

### getSupportsTotalCountsForBatch

    public boolean getSupportsTotalCountsForBatch()

  Description copied from class: `AdvancedSQL`
  Whether the driver returns a total update count for batched statements.

  Overrides:
    `getSupportsTotalCountsForBatch` in class `AdvancedSQL`

### canBatch

    public boolean canBatch(org.apache.openjpa.jdbc.schema.Column col)

  Description copied from class: `AdvancedSQL`
  Returns type if the specified column can be included in batch statements.

  Overrides:
    `canBatch` in class `AdvancedSQL`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Kodo 4.1.0 generated on October 9 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001-2006 BEA Systems, Inc. All Rights Reserved.